package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.rs.api.RSVorbisMapping;

@ObfuscatedName("br")
public class VorbisMapping implements RSVorbisMapping {
   @ObfuscatedName("at")
   int field340;
   @ObfuscatedName("ah")
   int field341;
   @ObfuscatedName("ar")
   int[] field343;
   @ObfuscatedName("ao")
   int[] field342;

   VorbisMapping() {
      class60 var1 = VorbisSample.field359;
      var1.method1187_base(16);
      this.field340 = var1.method1188_base() != 0?var1.method1187_base(4) + 1:1;
      if(var1.method1188_base() != 0) {
         var1.method1187_base(8);
      }

      var1.method1187_base(2);
      if(this.field340 > 1) {
         this.field341 = var1.method1187_base(4);
      }

      this.field343 = new int[this.field340];
      this.field342 = new int[this.field340];

      for(int var2 = 0; var2 < this.field340; ++var2) {
         var1.method1187_base(8);
         this.field343[var2] = var1.method1187_base(8);
         this.field342[var2] = var1.method1187_base(8);
      }

   }
}
